Skip to main content
`Ctrl`+`K`

# TaoTermQuadraticGetMat

Get the matrix defining a `TaoTerm` of type `TAOTERMQUADRATIC`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermQuadraticGetMat(TaoTerm term, Mat *A)

Not collective

## Input Parameter

- term - a `TaoTerm` of type `TAOTERMQUADRATIC`

## Output Parameter

- A - the matrix

## Note

This function will return `NULL` if the term is not a `TAOTERMQUADRATIC`.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMQUADRATIC`, `TaoTermQuadraticSetMat()`

## Level

intermediate

## Location

src/tao/term/impls/quadratic/taotermquadratic.c

## Implementations

TaoTermQuadraticGetMat_Quadratic() in src/tao/term/impls/quadratic/taotermquadratic.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages